###

###

###

###

###

###

    MEMCHR(3)           Linux Programmer's Manual           MEMCHR(3)

    NAME
           memchr - scan memory for a character

    SYNOPSIS
           #include <string.h>

           void *memchr(const void *s, int c, size_t n);

    DESCRIPTION
           The  memchr() function scans the first n bytes of the mem-
           ory area pointed to by s for the character c.   The  first
           byte  to  match  c  (interpreted as an unsigned character)
           stops the operation.

    RETURN VALUE
           The memchr() function returns a pointer  to  the  matching
           byte  or NULL if the character does not occur in the given
           memory area.

    CONFORMING TO
           SVID 3, BSD 4.3, ISO 9899

### SEE ALSO

index, rindex, strchr, strpbrk, strrchr, strsep, strspn, strstr,

###

    GNU                       April 12, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0